StarObjectNumericRuler Class Reference

the main class to read a SwNumRules zone More...

`#include <StarObjectNumericRuler.hxx>`

Inheritance diagram for StarObjectNumericRuler:

## Public Member Functions

| StarObjectNumericRuler (StarObject const &orig, bool duplicateState)
| constructor
| ~StarObjectNumericRuler () override
| destructor
bool | read (StarZone &zone)
| try to read a SwNumRules zone
std::shared_ptr< STOFFList > | getList (librevenge::RVNGString const &name) const
| try to return the list corresponding to a name
Public Member Functions inherited from StarObject
| StarObject (char const *passwd, std::shared_ptr< STOFFOLEParser > &oleParser, std::shared_ptr< STOFFOLEParser::OleDirectory > &directory)
| constructor
virtual | ~StarObject ()
| destructor
bool | parse ()
| try to parse data
STOFFDocument::Kind | getDocumentKind () const
| returns the document kind
char const * | getPassword () const
| returns the document password (the password given by the user)
std::shared_ptr< STOFFOLEParser::OleDirectory > | getOLEDirectory ()
| returns the object directory
std::shared_ptr< StarAttributeManager > | getAttributeManager ()
| returns the attribute manager
std::shared_ptr< StarFormatManager > | getFormatManager ()
| returns the format manager
librevenge::RVNGPropertyList const & | getMetaData () const
| returns the meta data (filled by readSfxDocumentInformation)
librevenge::RVNGString | getUserNameMetaData (int i) const
| returns the ith user meta data
void | cleanPools ()
| clean each pool
std::shared_ptr< StarItemPool > | getNewItemPool (StarItemPool::Type type)
| returns a new item pool for this document
std::shared_ptr< StarItemPool > | findItemPool (StarItemPool::Type type, bool isInside)
| check if a pool corresponding to a given type is opened if so returned it.
std::shared_ptr< StarItemPool > | getCurrentPool (bool onlyInside=true)
| returns the current all/inside pool
bool | readPersistData (StarZone &zone, long endPos)
| try to read persist data
bool | readSfxStyleSheets (STOFFInputStreamPtr input, std::string const &name)
| try to read a spreadshet style zone: SfxStyleSheets
bool | readItemSet (StarZone &zone, std::vector< STOFFVec2i > const &limits, long endPos, StarItemSet &itemSet, StarItemPool *pool=nullptr, bool isDirect=false)
| try to read a list of item

## Static Public Member Functions

static bool | readLevel (StarZone &zone, STOFFListLevel &level)
| try to read a number format zone : 'n'
static bool | readAttributeLevel (StarZone &zone, int vers, long lastPos, STOFFListLevel &level)
| try to read a attribute format : ATTR_EE_PARA_BULLET
static bool | readList (StarZone &zone, std::shared_ptr< STOFFList > &list)
| try to read a list : '0' or 'R'

## Protected Attributes

std::shared_ptr< StarObjectNumericRulerInternal::State > | m_numericRulerState
| the state
Protected Attributes inherited from StarObject
char const * | m_password
| the document password
std::shared_ptr< STOFFOLEParser > | m_oleParser
| the ole parser
std::shared_ptr< STOFFOLEParser::OleDirectory > | m_directory
| the directory
std::shared_ptr< StarObjectInternal::State > | m_state
| the state
librevenge::RVNGPropertyList | m_metaData
| the meta data

## Private Member Functions

StarObjectNumericRuler & | operator= (StarObjectNumericRuler const &orig)=delete

## Additional Inherited Members

Protected Member Functions inherited from StarObject
bool | readPersistElements (STOFFInputStreamPtr input, std::string const &name)
| the "persist elements" small ole: the list of object
bool | readSfxDocumentInformation (STOFFInputStreamPtr input, std::string const &name)
| try to read the document information : "SfxDocumentInformation"
bool | readSfxPreview (STOFFInputStreamPtr input, std::string const &name)
| try to read the preview : "SfxPreview"
bool | readSfxWindows (STOFFInputStreamPtr input, libstoff::DebugFile &ascii)
| try to read the windows information : "SfxWindows"
bool | readStarFrameworkConfigFile (STOFFInputStreamPtr input, libstoff::DebugFile &ascii)
| try to read the "Star Framework Config File"
bool | readStarFrameworkConfigItem (STOFFEntry &entry, STOFFInputStreamPtr input, libstoff::DebugFile &ascii)
| try to read an item in a "Star Framework Config File"
| StarObject (StarObject const &orig, bool duplicateState)
| copy constructor

## Detailed Description

the main class to read a SwNumRules zone

## Constructor & Destructor Documentation

## StarObjectNumericRuler()

StarObjectNumericRuler::StarObjectNumericRuler | ( | StarObject const & | orig,
|  | bool | duplicateState )

constructor

Referenced by operator=().

## ~StarObjectNumericRuler()

StarObjectNumericRuler::~StarObjectNumericRuler | ( |  | ) |

override

destructor

## Member Function Documentation

## getList()

std::shared_ptr< STOFFList > StarObjectNumericRuler::getList | ( | librevenge::RVNGString const & | name | ) | const

try to return the list corresponding to a name

## operator=()

StarObjectNumericRuler & StarObjectNumericRuler::operator= | ( | StarObjectNumericRuler const & | orig | ) |

private delete

## read()

bool StarObjectNumericRuler::read | ( | StarZone & | zone | ) |

try to read a SwNumRules zone

## readAttributeLevel()

bool StarObjectNumericRuler::readAttributeLevel | ( | StarZone & | zone,
|  | int | vers,
|  | long | lastPos,
|  | STOFFListLevel & | level )

static

try to read a attribute format : ATTR_EE_PARA_BULLET

Referenced by StarParagraphAttribute::StarPAttributeBulletSimple::read().

## readLevel()

bool StarObjectNumericRuler::readLevel | ( | StarZone & | zone,
|  | STOFFListLevel & | level )

static

try to read a number format zone : 'n'

Referenced by readList().

## readList()

bool StarObjectNumericRuler::readList | ( | StarZone & | zone,
|  | std::shared_ptr< STOFFList > & | list )

static

try to read a list : '0' or 'R'

Referenced by read(), StarObjectText::readSWTextZone(), and StarObjectText::readWriterDocument().

## Member Data Documentation

## m_numericRulerState

std::shared_ptr<StarObjectNumericRulerInternal::State> StarObjectNumericRuler::m_numericRulerState

protected

the state

Referenced by getList(), read(), and StarObjectNumericRuler().

The documentation for this class was generated from the following files:

- StarObjectNumericRuler.hxx
- StarObjectNumericRuler.cxx